System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

When the Web server hosting an ASP.NET application runs low on memory, the object selectively purges items to free system memory. When an item is added to the cache, you can assign it a relative priority compared to the other items stored in the cache. Items to which you assign higher priority values are less likely to be deleted from the cache when the server is processing a large number of requests, whereas items to which you assign lower priority values are more likely to be deleted. The default is .

Items can always be removed from the cache programmatically, regardless of their cache priority.

Specifies the relative priority of items stored in the object.

- Field
  System.Web.Caching.CacheItemPriority To be added

  Cache items with this priority level are less likely to be deleted as the server frees system memory than those assigned a priority.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemPriority To be added

  Cache items with this priority level are more likely to be deleted from the cache as the server frees system memory than items assigned a priority.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemPriority To be added

  The default value for a cached item's priority is .

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemPriority To be added

  Cache items with this priority level are the least likely to be deleted from the cache as the server frees system memory.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemPriority To be added

  Cache items with this priority level are the most likely to be deleted from the cache as the server frees system memory.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemPriority To be added

  Cache items with this priority level are likely to be deleted from the cache as the server frees system memory only after those items with or priority. This is the default.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Caching.CacheItemPriority To be added

  The cache items with this priority level will not be automatically deleted from the cache as the server frees system memory. However, items with this priority level are removed along with other items according to the item's absolute or sliding expiration time.

  1.0.5000.0
  2.0.0.0